Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.registry
Class ConfigureInstance

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.pf.registry.Item
                  de.grogra.pf.registry.Executable
                      de.grogra.pf.registry.ConfigureInstance

All Implemented Interfaces:
  Manageable, PersistenceCapable, Shareable, RegistryContext, UserFields, XObject, Described, Map, java.io.Serializable

    public final class ConfigureInstance

extends Executable

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`
`static Node.NType.Field` | `useOld$FIELD`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, MIN_UNUSED_SPECIAL_OF_TARGET, name$FIELD, USED_BITS`

Fields inherited from interface de.grogra.util.Described
`ACCELERATOR_KEY, ICON, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, TITLE`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`ConfigureInstance()`

Method Summary
`protected Node.NType` | `getNTypeImpl()` This method returns the `Node.NType` which describes the managed fields of the class of this node.
`protected Node` | `newInstance()` This method returns a new instance of the class of this node.
`void` | `run(RegistryContext ctx, StringMap args)`

Methods inherited from class de.grogra.pf.registry.Executable
`runExecutables, runExecutables`

Methods inherited from class de.grogra.pf.registry.Item
`activate, activateImpl, add, add, addPluginPrerequisite, addPluginPrerequisites, addRequiredFiles, addUserItem, addUserItemWithUniqueName, addWithUniqueName, beginXA, classForName, commitXA, createItem, deactivate, deactivateImpl, deriveItems, dupUnmanagedFields, equals, findAll, findAll, findAll, findFirst, findFirst, findFirst, findMax, findMax, findMax, forAll, forAll, forAll, get, getAbsoluteName, getAccessor, getAccessor, getAttributes, getAttributes, getClassLoader, getDefaultDescription, getDefaultValue, getDerivedDescription, getDescription, getDescriptionImpl, getFromResource, getI18NBundle, getItem, getLock, getParentMap, getPath, getPluginDescriptor, getRegistry, getRoot, getTransaction, getUniqueName, getWriteLock, hasEditableOptions, initPluginDescriptor, isActivated, isDirectory, isEditable, isOptionCategory, isPluginItem, isUserItem, makeUserItem, paramString, readAttribute, remove, removeDerivedItems, resolveItem, resolveLink, set, setDefaultDescription, setDescription, setDescription, setDirectory, setName, setNameIfNull, setOption, substitute, validate`

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, edgeChanged, fieldModified, findAdjacent, getAxisParent, getBoolean, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getDouble, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getFloat, getGraph, getId, getIndex, getInstantiator, getInt, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getObject, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getSymbolColor, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, toString, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

### useOld$FIELD

    public static final Node.NType.Field useOld$FIELD

Constructor Detail

### ConfigureInstance

    public ConfigureInstance()

Method Detail

### getNTypeImpl

    protected Node.NType getNTypeImpl()

  Description copied from class: `Node`
  This method returns the `Node.NType` which describes the managed fields of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `getNTypeImpl` in class `Item`
  Returns:
    type describing the managed fields of the class of this node

### newInstance

    protected Node newInstance()

  Description copied from class: `Node`
  This method returns a new instance of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `newInstance` in class `Item`
  Returns:
    new instance of class of this node

### run

    public void run(RegistryContext ctx,
                    StringMap args)

  Specified by:
    `run` in class `Executable`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD